local L = AceLibrary("AceLocale-2.0"):new("Antagonist")

L:RegisterTranslations("enUS", function()
    return {
    	["Fonts\\skurri.ttf"] = "Fonts\\skurri.ttf", -- (internal)
	
	["Antagonist"] = "Antagonist",
	["Casts"] =	"Casts",
	["Buffs"] =	"Buffs",
	["Cooldowns"] = "Cooldowns",
	
	-- Command line names
	["Group"] = "Group",
	["Bar"] = "Bar",
	["Anchor"] = "Anchor",
	
	-- Misc names
	["Test"] = "Test",
	["Lock"] = "Lock",
	["Stop"] = "Stop",
	["Config"] = "Config",
	["Kill"] = "Kill",
	["Fade"] = "Fade",
	["Death"] = "Death",
	["Cooldown Limit"] = "Cooldown Limit",

	-- Group names
	["Target Only"] = "Target Only",
	["Enabled"] = "Enabled",
	["Show Under"] = "Show Under",
	["Pattern"] = "Pattern",

	-- Bar names
	["Bar Color"] = "Bar Color",
	["Bar Texture"] = "Bar Texture",
	["Bar Scale"] = "Bar Scale",
	["Reverse"] = "Reverse",
	["Bar Height"] = "Bar Height",
	["Bar Width"] = "Bar Width",
	["Text Size"] = "Text Size",

	-- Anchor names
	["Title"] = "Title",
	["Title Color"] = "Title Color",
	["Grow Up"] = "Grow Up",

	-- Command line descriptions
	["DescGroup"] = "The three spell type groups: casts, buffs, cooldowns.",
	["DescBar"] = "Bar appeareance settings.",
	["DescAnchor"] = "Anchor control settings.",

	["DescCasts"] = "Casting times.",
	["DescBuffs"] = "Buff durations.",
	["DescCooldowns"] = "Cooldown times.",
		
	-- Group descs
	["DescTargetOnly"] = "Parse only your target's events.",
	["DescEnabled"] = "Whether this group is parsed.",
	["DescShowUnder"] = "Which anchor the group will appear under.",
	["DescPattern"] = "The pattern used for the text on the bar. Use $n, $s and $t to represent name, spell and target (casts only).",
	
	-- Bar descs
	["DescBarColor"] = "Set the bar color.",
	["DescBarTexture"] = "The texture of the timer bars.",
	["DescBarScale"] = "The scale of the timer bars.",
	["DescReverse"] = "Whether the bars fill or deplete.",
	["DescBarHeight"] = "The height of the timer bars.",
	["DescBarWidth"] = "The width of the timer bars.",
	["DescTextSize"] = "The text size on the timer bars.",
	
	-- Anchor descs
	["DescAnchorName"] = "Control settings for anchor ", -- do not remove the space
	["DescTitle"] = "Set the title text.",
	["DescTitleColor"] = "Set the color of the title.",
	["DescGrowup"] = "Whether the bars will grow up or down.",

	-- Misc descs
	["DescTest"] = "Runs test bars.",
	["DescLock"] = "Shows/hides the anchors.",
	["DescStop"] = "Stop all bars and hide all titles.",
	["DescConfig"] = "Open the configuration menu.",
	["DescGroup"] = "Group options.", 
	["DescKill"] = "Toggles whether bars disappear when a hostile is killed.",
	["DescFade"] = "Toggles whether bars disappear when a spell fades.",
	["DescDeath"] = "Toggles whether bars dissapear when you die.",
	["DescCDLimit"] = "Don't show cooldowns longer than this number.",

	-- Bar color names
	["school"] = "school",
	["class"] = "class",
	["group"] = "group",

	["TestBarText"] = "unit : spell",

	-- Spells not supported by BabbleSpell
	-- casts
	["Hearthstone"] = "Hearthstone",
	["Polymorph: Pig"] = "Polymorph: Pig",
	["Polymorph: Turtle"] = "Polymorph: Turtle",
	
	-- mob casts
	["Shrink"] = "Shrink",			
	["Banshee Curse"] = "Banshee Curse",			
	["Shadow Bolt Volley"] = "Shadow Bolt Volley",		
	["Cripple"] = "Cripple",			
        ["Dark Mending"] = "Dark Mending",			
	["Spirit Decay"] = "Spirit Decay",
	["Gust of Wind"] = "Gust of Wind",			
	["Black Sludge"] = "Black Sludge",			
	["Toxic Bolt"] = "Toxic Bolt",			
	["Poisonous Spit"] = "Poisonous Spit",			
	["Wild Regeneration"] =	"Wild Regeneration",	
	["Curse of the Deadwood"] = "Curse of the Deadwood",		
	["Curse of Blood"] = "Curse of Blood",			
	["Dark Sludge"] = "Dark Sludge",			
	["Plague Cloud"] = "Plague Cloud",			
	["Wandering Plague"] = "Wandering Plague",		
	["Wither Touch"] = "Whither Touch",			
	["Fevered Fatigue"] = "Fevered Fatigue",		
	["Encasing Webs"] = "Encasing Webs",			
	["Crystal Gaze"] = "Crystal Gaze",			
	
	-- buffs
	["Brittle Armor"] = "Brittle Armor",
	["Unstable Power"] = "Unstable Power",
	["Restless Strength"] = "Restless Strength",
	["Ephemeral Power"] = "Ephemeral Power",
	["Massive Destruction"] = "Massive Destruction", 
	["Arcane Potency"] = "Arcane Potency",	
	["Energized Shield"] = "Energized Shield",
	["Brilliant Light"] = "Brilliant Light",
	["Mar'li's Brain Boost"] = "Mar'li's Brain Boost",
	["Earthstrike"] = "Earthstrike", 
	["Gift of Life"] = "Gift of Life", 
	["Nature Aligned"] = "Nature Aligned",
	["Quick Shots"] = "Quick Shots",

	["Fire Reflector"] = "Frost Reflector",
	["Shadow Reflector"] = "Shadow Reflector",
	["Frost Reflector"] = "Frost Reflector",
	}
end)
L:RegisterTranslations("frFR", function()
    return {
    	["Fonts\\skurri.ttf"] = "Fonts\\skurri.ttf", -- (internal)
	
--	["Antagonist"] = "Antagonist",
--	["Casts"] =	"Casts",
--	["Buffs"] =	"Buffs",
--	["Cooldowns"] = "Cooldowns",
	
	-- Command line names
--	["Group"] = "Group",
--	["Bar"] = "Bar",
--	["Anchor"] = "Anchor",
	
	-- Misc names
--	["Test"] = "Test",
--	["Lock"] = "Lock",
--	["Stop"] = "Stop",
--	["Config"] = "Config",
--	["Kill"] = "Kill",
--	["Fade"] = "Fade",
--	["Death"] = "Death",
--	["Cooldown Limit"] = "Cooldown Limit",

	-- Group names
--	["Target Only"] = "Target Only",
--	["Enabled"] = "Enabled",
--	["Show Under"] = "Show Under",
--	["Pattern"] = "Pattern",

	-- Bar names
--	["Bar Color"] = "Bar Color",
--	["Bar Texture"] = "Bar Texture",
--	["Bar Scale"] = "Bar Scale",
--	["Reverse"] = "Reverse",
--	["Bar Height"] = "Bar Height",
--	["Bar Width"] = "Bar Width",
--	["Text Size"] = "Text Size",

	-- Anchor names
--	["Title"] = "Title",
--	["Title Color"] = "Title Color",
--	["Grow Up"] = "Grow Up",

	-- Command line descriptions
--	["DescGroup"] = "The three spell type groups: casts, buffs, cooldowns.",
--	["DescBar"] = "Bar appeareance settings.",
--	["DescAnchor"] = "Anchor control settings.",

--	["DescCasts"] = "Casting times.",
--	["DescBuffs"] = "Buff durations.",
--	["DescCooldowns"] = "Cooldown times.",
		
	-- Group descs
--	["DescTargetOnly"] = "Parse only your target's events.",
--	["DescEnabled"] = "Whether this group is parsed.",
--	["DescShowUnder"] = "Which anchor the group will appear under.",
--	["DescPattern"] = "The pattern used for the text on the bar. Use $n, $s and $t to represent name, spell and target (casts only).",
	
	-- Bar descs
--	["DescBarColor"] = "Set the bar color.",
--	["DescBarTexture"] = "The texture of the timer bars.",
--	["DescBarScale"] = "The scale of the timer bars.",
--	["DescReverse"] = "Whether the bars fill or deplete.",
--	["DescBarHeight"] = "The height of the timer bars.",
--	["DescBarWidth"] = "The width of the timer bars.",
--	["DescTextSize"] = "The text size on the timer bars.",
	
	-- Anchor descs
--	["DescAnchorName"] = "Control settings for anchor ", -- do not remove the space
--	["DescTitle"] = "Set the title text.",
--	["DescTitleColor"] = "Set the color of the title.",
--	["DescGrowup"] = "Whether the bars will grow up or down.",

	-- Misc descs
--	["DescTest"] = "Runs test bars.",
--	["DescLock"] = "Shows/hides the anchors.",
--	["DescStop"] = "Stop all bars and hide all titles.",
--	["DescConfig"] = "Open the configuration menu.",
--	["DescGroup"] = "Group options.", 
--	["DescKill"] = "Toggles whether bars disappear when a hostile is killed.",
--	["DescFade"] = "Toggles whether bars disappear when a spell fades.",
--	["DescDeath"] = "Toggles whether bars dissapear when you die.",
--	["DescCDLimit"] = "Don't show cooldowns longer than this number.",

	-- Bar color names
--	["school"] = "school",
--	["class"] = "class",
--	["group"] = "group",

--	["TestBarText"] = "unit : spell",

	-- Spells not supported by BabbleSpell
	-- casts
	["Hearthstone"] = "Pierre de foyer",
	["Polymorph: Pig"] = "M\195\169tamorphose : cochon",
	["Polymorph: Turtle"] = "M\195\169tamorphose : tortue",
	
	-- mob casts
	["Shrink"] = "Rapetisser",			
	["Banshee Curse"] = "Mal\195\169diction de la Banshee",			
	["Shadow Bolt Volley"] = "Salve de Traits de l'ombre",		
	["Cripple"] = "Faiblesse",			
        ["Dark Mending"] = "Gu\195\169rison t\195\169n\195\169breuse",			
	["Spirit Decay"] = "D\195\169cr\195\169pitude spirituelle",
	["Gust of Wind"] = "Bourrasque",			
	["Black Sludge"] = "Limace noire",			
	["Toxic Bolt"] = "Eclair toxique",			
	["Poisonous Spit"] = "Crachat empoisonn\195\169",			
	["Wild Regeneration"] =	"R\195\169g\195\169n\195\169ration sauvage",	
	["Curse of the Deadwood"] = "Mal\195\169diction des Mort-bois",		
        ["Curse of Blood"] = "Mal\195\169diction du Sang",			
	["Dark Sludge"] = "Limace des t\195\169n\195\168bres",			
	["Plague Cloud"] = "Nu\195\169e de peste",			
	["Wandering Plague"] = "Peste galopante",		
	["Wither Touch"] = "Toucher de fl\195\169trissement",			
	["Fevered Fatigue"] = "Fatigue fi\195\168vreuse",		
	["Encasing Webs"] = "Rets enveloppants",			
	["Crystal Gaze"] = "Regard de cristal",			
	
	-- buffs
	["Brittle Armor"] = "Armure fragile",
	["Unstable Power"] = "Puissance instable",
	["Restless Strength"] = "Force inconstante",
	["Ephemeral Power"] = "Pouvoir \195\169ph\195\169m\195\168re",
	["Massive Destruction"] = "Destruction massive", 
	["Arcane Potency"] = "Toute-puissance des arcanes",	
	["Energized Shield"] = "Bouclier dynamis\195\169",
	["Brilliant Light"] = "Lumi\195\168re \195\169clatante",
	["Mar'li's Brain Boost"] = "Acc\195\169l\195\169ration mentale de Mar'li",
	["Earthstrike"] = "Choc de terre", 
	["Gift of Life"] = "Don de vie", 
	["Nature Aligned"] = "Alignement sur la nature",
	["Quick Shots"] = "Tirs acc\195\169l\195\169r\195\169s",

	["Fire Reflector"] = "R\195\169flectofeu",
	["Shadow Reflector"] = "R\195\169flectombre",
	["Frost Reflector"] = "R\195\169flectogivre",
	}
end)

L:RegisterTranslations("koKR", function()
    return {
    	["Fonts\\skurri.ttf"] = "Fonts\\2002.ttf", -- (internal)

	["Antagonist"] = "Antagonist",
	["Casts"] =	"??",
	["Buffs"] =	"??",
	["Cooldowns"] = "??? ????",
	
	-- Command line names
	["Group"] = "??",
	["Bar"] = "?",
	["Anchor"] = "??",
	
	-- Misc names
	["Test"] = "???",
	["Lock"] = "??",
	["Stop"] = "??",
	["Config"] = "Config",
	["Kill"] = "??",
	["Fade"] = "???",
	["Death"] = "??",
	["Cooldown Limit"] = "??? ???? ??",

	-- Group names
	["Target Only"] = "???",
	["Enabled"] = "????",
	["Show Under"] = "??? ??",
	["Pattern"] = "??",

	-- Bar names
	["Bar Color"] = "? ??",
	["Bar Texture"] = "? ???",
	["Bar Scale"] = "? ??",
	["Reverse"] = "??",
	["Bar Height"] = "? ??",
	["Bar Width"] = "? ??",
	["Text Size"] = "?? ??",

	-- Anchor names
	["Title"] = "???",
	["Title Color"] = "??? ??",
	["Grow Up"] = "??",

	-- Command line descriptions
	["DescGroup"] = "??? ?? ?? ??: ??, ??, ??? ????.",
	["DescBar"] = "? ??? ?????.",
	["DescAnchor"] = "??? ?????.",

	["DescCasts"] = "?? ??.",
	["DescBuffs"] = "?? ?? ??.",
	["DescCooldowns"] = "??? ?? ??.",
		
	-- Group descs
	["DescTargetOnly"] = "??? ???? ?????.",
	["DescEnabled"] = "?? ??? ??? ?? ?????.",
	["DescShowUnder"] = "?? ??? ?? ?? ??? ????.",
	["DescPattern"] = "??? ???? ???? ??. ??, ??, ??(???)? ??? ????? $n, $s, $t ? ?????.",
	
	-- Bar descs
	["DescBarColor"] = "? ??? ?????.",
	["DescBarTexture"] = "??? ?? ??????.",
	["DescBarScale"] = "??? ?? ?????.",
	["DescReverse"] = "?? ???? ??? ?? ?????.",
	["DescBarHeight"] = "??? ?? ?????.",
	["DescBarWidth"] = "??? ?? ?? ???.",
	["DescTextSize"] = "??? ? ?? ?? ?? ???.",

	-- Anchor descs
	["DescAnchorName"] = "??? ?? ?? ?? : ", -- do not remove the space
	["DescTitle"] = "??? ??? ?????.",
	["DescTitleColor"] = "???? ??? ?????.",
	["DescGrowup"] = "?? ?? ???? ??? ????? ?????.",

	-- Misc descs
	["DescTest"] = "??? ?? ?????.",
	["DescLock"] = "?? ??/??.",
	["DescStop"] = "?? ?? ???? ?? ??? ????.",
	["DescConfig"] = "Open the configuration menu.",
	["DescGroup"] = "??? ?????.", 
	["DescKill"] = "?? ??? ? ?? ???? ??? ?????.",
	["DescFade"] = "??? ???? ? ?? ???? ??? ?????.",
	["DescDeath"] = "??? ??? ? ?? ???? ??? ?????.",
	["DescCDLimit"] = "? ?? ??? ??? ????? ???? ????.",

	-- Bar color names
	["school"] = "??",
	["class"] = "??",
	["group"] = "??",

	["TestBarText"] = "?? : ??",

	-- Spells not supported by BabbleSpell
	-- casts
	["Hearthstone"] = "???",
	["Polymorph: Pig"] = "??: ??",
	["Polymorph: Turtle"] = "??: ???",
	
	-- mob casts
	["Shrink"] = "??",
	["Banshee Curse"] = "??? ??",
	["Shadow Bolt Volley"] = "?? ??? ??",
	["Cripple"] = "?? ??",
        ["Dark Mending"] = "??? ??",
	["Spirit Decay"] = "?? ??",
	["Gust of Wind"] = "??",
	["Black Sludge"] = "?? ??",
	["Toxic Bolt"] = "?? ??",
	["Poisonous Spit"] = "??",
	["Wild Regeneration"] =	"??? ???",
	["Curse of the Deadwood"] = "??? ??",
	["Curse of Blood"] = "?? ??",
	["Dark Sludge"] = "??? ??",
	["Plague Cloud"] = "?? ??",
	["Wandering Plague"] = "??? ??",		
	["Wither Touch"] = "??? ??",
	["Fevered Fatigue"] = "??? ??",
	["Encasing Webs"] = "??? ???",
	["Crystal Gaze"] = "??? ??",
	
	-- buffs
	["Brittle Armor"] = "???? ??",
	["Unstable Power"] = "???? ??",
	["Restless Strength"] = "???? ?",
	["Ephemeral Power"] = "??? ?",
	["Massive Destruction"] = "??? ??",
	["Arcane Potency"] = "??? ???",
	["Energized Shield"] = "??? ??",
	["Brilliant Light"] = "??? ?",
	["Mar'li's Brain Boost"] = "??? ?",
	["Earthstrike"] = "??? ??",
	["Gift of Life"] = "??? ??",
	["Nature Aligned"] = "?? ??? ??",
	["Quick Shots"] = "Quick Shots", -- check

	["Fire Reflector"] = "??? ?? ???",
	["Shadow Reflector"] = "??? ?? ???",
	["Frost Reflector"] = "????? ?? ???",
	}
end)